org.apache.sling.hc.samples.impl

## Class AnnotatedHealthCheckSample

- java.lang.Object
- - org.apache.sling.hc.samples.impl.AnnotatedHealthCheckSample

All Implemented Interfaces:
  org.apache.sling.hc.api.HealthCheck

    public class AnnotatedHealthCheckSample
    extends Object
    implements org.apache.sling.hc.api.HealthCheck

Test creating a Health Check using the SlingHealthCheck annotation.

### Field Summary

### Fields inherited from interface org.apache.sling.hc.api.HealthCheck

`ASYNC_CRON_EXPRESSION, MBEAN_NAME, NAME, TAGS`

### Constructor Summary

Constructors
Constructor and Description
`AnnotatedHealthCheckSample()`

### Method Summary

Methods
`org.apache.sling.hc.api.Result` `execute()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnnotatedHealthCheckSample

    public AnnotatedHealthCheckSample()

### Method Detail

#### execute

    public org.apache.sling.hc.api.Result execute()

Specified by:
  `execute` in interface `org.apache.sling.hc.api.HealthCheck`